on startMovie
  global node, quad
  set node to 3
  set quad to 1
end

on changeQuad dir
  global node, quad
  if dir = "cw" then
    if quad < 4 then
      set q to quad + 1
    else
      set q to 1
    end if
  else
    if dir = "ccw" then
      if quad > 1 then
        set q to quad - 1
      else
        set q to 4
      end if
    end if
  end if
  return q
end

on rotate dir
  global node, quad
  if dir = "ccw" then
    set quad to changeQuad(dir)
  end if
  set mov to node & dir & quad & ".MoV"
  puppetSprite(3, 1)
  repeat while the number of cast mov = -1
    set quad to changeQuad(dir)
    set mov to node & dir & quad & ".MoV"
  end repeat
  set the castNum of sprite 3 to the number of cast mov
  updateStage()
  if dir = "cw" then
    set quad to changeQuad(dir)
    set mov to node & dir & quad & ".MoV"
    if the number of cast mov = -1 then
      set quad to changeQuad(dir)
    end if
  else
    set mov to node & dir & changeQuad(dir) & ".MoV"
    if the number of cast mov = -1 then
      set quad to changeQuad(dir)
    end if
  end if
  puppetSprite(16, 1)
  set the castNum of sprite 16 to the number of cast ("arrow" & quad)
end

on goNode
  global node, quad
  set q to node
  if quad = 2 then
    set mov to node & "next.MoV"
    set q to q + 1
  else
    if quad = 4 then
      if node = 13 then
        set mov to "confOut.MoV"
        set quad to 1
        set q to 8
      else
        set mov to node & "prev.MoV"
        set q to q - 1
      end if
    else
      if (quad = 1) and (node = 6) then
        set mov to "window.MoV"
      else
        if quad = 3 then
          if node = 5 then
            set mov to "bathroom.MoV"
          else
            if node = 8 then
              set mov to "confIn.MoV"
              set quad to 2
              set q to 13
            else
              exit
            end if
          end if
        else
          exit
        end if
      end if
    end if
  end if
  set n to the number of cast mov
  if n = -1 then
    exit
  end if
  set the castNum of sprite 3 to n
  set node to q
  puppetSprite(16, 0)
  go("node" & node)
  puppetSprite(16, 1)
  set the castNum of sprite 16 to the number of cast ("arrow" & quad)
  updateStage()
end

on trackCursor
  if rollOver(10) then
    set icursor to the number of cast "left"
  end if
  set the cursor of sprite 10 to [icursor, icursor + 1]
  if rollOver(11) then
    set icursor to the number of cast "right"
  end if
  set the cursor of sprite 11 to [icursor, icursor + 1]
  if rollOver(12) then
    set icursor to the number of cast "forward"
  end if
  set the cursor of sprite 12 to [icursor, icursor + 1]
  go(#loop)
end
